Kerbal Space Program - Bug #22710

Docking with port attached to "Breaking ground™ robotics cause NullReferenceException
05/31/2019 06:23 PM - Jasper_f

Status: Resolved Start date: 05/31/2019
Severity: Low % Done: 100%
Assignee:
Category: Gameplay
Target version: 1.9.0
Version: 1.71 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

What happens:
Docking crafts while ports are attached to the new "Breaking ground" robotics causes (1) crafts to become separated, with one flying

off as if in 0G environment, or (2) cause in immediate explosion of said craft.

How to reproduce
- Create any rover-type vehicle with wheels (regardless of which)

- Attach to the craft: two G-01 Alligator hinges, one cubic octagonal strut, a G-00 hinge, and a docking port (any) in that order.
- Dock two vessels together using this "docking arm".

Scenario #1: docking two rovers to a test cargo module using the new "Breaking ground" robotics. Note that (re)docking a single
craft appears to work.

https://www.youtube.com/watch?v=nN1pgE1F7mU

Scenario #2: docking the same roverll (with wheels slightly tucked in) to Mk3 cargo bay. [l

https://www.youtube.com/watch?v=bP-L R9Sscek

Notes:

- Bug observed with stock install of KSP (KSP v1.7.1.2539).

- Happens with multiple command modules and wheels

- Regular docking without any robotic parts in-between appears to function normally so far

History

#1 - 06/01/2019 12:53 PM - Jasper_f
- File [Bugreport] rover.craft added
- File [Bugreport - module].craft added

What happens:
Docking crafts while ports are attached to the new "Breaking ground" robotics causes (1) crafts to become separated, with one flying off as if in 0G
environment, or (2) cause in immediate explosion of said craft.

How to reproduce

- Create any rover-type vehicle with wheels (regardless of which)

- Attach to the craft: two G-01 Alligator hinges, one cubic octagonal strut, a G-00 hinge, and a docking port (any) in that order.
- Dock two vessels together using this "docking arm".

Scenario #1: docking two rovers to a test cargo module using the new "Breaking ground" robotics. Note that (re)docking a single craft appears to
work.

https://www.youtube.com/watch?v=nN1pgE1F7mU
Scenario #2: docking the same roverll (with wheels slightly tucked in) to Mk3 cargo bay. [

https://www.youtube.com/watch?v=bP-LR9Sscek

Notes:
- Bug observed with stock install of KSP (KSP v1.7.1.2539).
- Happens with multiple command modules and wheels
- Regular docking without any robotic parts in-between appears to function normally so far

Attached the two crafts used:
- [Bugreport] - rover
- [Bugreport] - module

#2 - 06/01/2019 01:23 PM - Jasper_f
- File screenshot7.png added
- File output_log.txt added

[Update #2:] Attached screenshot of console output and output_log.txt. Not sure how to get a copy of the console output itself; hence the screenshot.

#4 - 06/07/2019 11:57 PM - just_jim
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#5 - 06/12/2019 07:51 PM - chris.fulton
- Status changed from Confirmed to Ready to Test
- Target version setto 1.7.2

- % Done changed from 10 to 80

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.2.25557?

#6 - 06/30/2019 02:16 AM - 18Watt
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

| am still seeing this behavior in 2555. My attempts usually end with the partial destruction of one or both crafts.
When | observe this, it seems like the docking port force tries to invert one of the ports, so they end up facing the same direction. Most of my

attempts have ended up with the ports facing the same direction, instead of facing the opposite direction and butted together. This makes the lighter
craft rapidly spin with the docking port.

#7 - 02/15/2020 05:48 PM - victorr
- Status changed from Not Fixed to Ready to Test
- Target version changed from 1.7.2 to 1.9.0

- % Done changed from 50 to 80

We have made changes in this last release and would like your feedback please.

#8 - 05/24/2020 10:28 PM - sschork

- File screenshot95.png added

- File screenshot99.png added

Hi, being struck by this during career-mode play, | tried to break it down:
My versions are

Main 1.9.1.2788

Making History 1.9.1

Breaking Ground 1.4.1

- no addons of any kind
- linux

This works:
A rover without wheels docked to a fuel tank using a telescope arm (screenshot95.png).

It is possible to first undock, then redock using the arm.
The following results in violent bouncing and ultimately exploding of the vessel to the right:

Same as above, but with wheels on the rover (screenshot99.png).

| also tried:

- building both parts separately and then docking

- putting the docking ports on different heights, higher and lower; the bouncing starts whenever a wheel touches the ground

- giving the docking ports different orientations

- putting a fuel tank and/or a structural node between the telescope arm and the docking port
- giving the robotic arm more degrees of freedom by using multiple hinges and then de-motorizing them in unlocked mode shortly before docking

- the next larger type of docking ports

- using landing struts instead of wheels

- non-radial attachment of the first docking port
- different command modules, fuel tanks, etc.

EDIT this would have fitted better here: #23177
#9 - 08/13/2021 01:03 PM - Technicalfool

- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Should be resolved now. If it isn't, please continue to report.
